AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Validate customer details

This document shows you how to validate customer's details. Supported input include: meter number, smartcard number, internet account number, etc.

Last updated 13 September 2026

get

https://api.flutterwave.com/v3/bill-items/{item_code}/validate

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

item_code string required
This is the item_code returned from bills categories endpoint as data[i].item_code

FILL IN ALL REQUIRED FIELDS

customer string required
This is the customer identifier For airtime, the value must be the customer's phone number. For DSTV, it must be the customer's smartcard number

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

response_code string

address string

response_message string

name string

biller_code string

customer string

product_code string

email string

fee integer

maximum integer

minimum integer

FILL IN ALL REQUIRED FIELDS

status string

data string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys